# TODO: count if it's oneway or not

node_tags = {
    "highway",
    "amenity",
    "railway",
    "public_transport",
    "craft",
    "emergency",
    "historic",
    "leisure",
    "man_made",
    "military",
    "natural",
    "office",
    "power",
    "shop",
    "sport",
    "tourism",
    "building"
}

way_tags = {
    "highway",
    "cycleway",
    "railway",
    "public_transport",
    "historic",
    "man_made",
    "natural"
}

area_tags = {
    "amenity",
    "railway",
    "public_transport",
    "craft",
    "emergency",
    "historic",
    "leisure",
    "man_made",
    "military",
    "natural",
    "office",
    "power",
    "shop",
    "sport",
    "tourism",
    "building",
    "landuse"
}

unspecific_tags = {
    "craft",
    "emergency",
    "historic",
    "leisure",
    "man_made",
    "military",
    "natural",
    "office",
    "power",
    "sport",
    "tourism",
}

features_types = {
    "amenity_education": ["count", "area"],
    "amenity_entertainment": ["count", "area"],
    "amenity_financial": ["count", "area"],
    "amenity_healthcare": ["count", "area"],
    "amenity_other": ["count", "area"],
    "amenity_sustenance": ["count", "area"],
    "amenity_transportation": ["count", "area"],
    "building_accommodation": ["count", "area"],
    "building_commercial": ["count", "area"],
    "building_religious": ["count", "area"],
    "building_civic": ["count", "area"],
    "building_agricultural": ["count", "area"],
    "building_sports": ["count", "area"],
    "building_storage": ["count", "area"],
    "building_cars": ["count", "area"],
    "building_power": ["count", "area"],
    "building_other": ["count", "area"],
    "highway_bus_stop": ["count"],
    "highway_cycleway": ["length"],
    "highway_crossing": ["count"],
    "highway_footway": ["length"],
    "highway_motorway": ["length"],
    "highway_secondary": ["length"],
    "highway_service": ["length"],
    "highway_primary": ["length"],
    "highway_residential": ["length"],
    "highway_street_lamp": ["count"],
    "highway_tertiary": ["length"],
    "highway_traffic_signals": ["count"],
    "highway_traffic_calming": ["count"],
    "highway_trunk": ["length"],
    'landuse_agricultural': ['area'],
    'landuse_commercial': ['area'],
    'landuse_construction': ['area'],
    'landuse_industrial': ['area'],
    'landuse_other': ['area'],
    'landuse_residential': ['area'],
    'landuse_retail': ['area'],
    "public_transport_station": ["count", "area"],
    "railway_abandoned": ["length"],
    "railway_light_rail": ["length"],
    "railway_other": ["length"],
    "railway_platform": ["count", "length", "area"],
    "railway_rail": ["length"],
    "railway_subway": ["length"],
    "railway_station": ["count", "area"],
    "railway_tram": ["length"],
    "railway_tram_stop": ["count"],
    "shop_clothing": ["count", "area"],
    "shop_discount_store": ["count", "area"],
    "shop_food": ["count", "area"],
    "shop_general_store": ["count", "area"],
    "shop_diy_store": ["count", "area"],
    "shop_furniture": ["count", "area"],
    "shop_outdoors": ["count", "area"],
    "shop_hobbies": ["count", "area"],
    "shop_health_beauty": ["count", "area"],
    "shop_stationery": ["count", "area"],
    "shop_electronics": ["count", "area"],
    "shop_other": ["count", "area"],
}

building_tags = {
    "apartments": "building_accommodation",
    "bungalow": "building_accommodation",
    "cabin": "building_accommodation",
    "detached": "building_accommodation",
    "dormitory": "building_accommodation",
    "farm": "building_accommodation",
    "ger": "building_accommodation",
    "hotel": "building_accommodation",
    "house": "building_accommodation",
    "houseboat": "building_accommodation",
    "residential": "building_accommodation",
    "semidetached_house": "building_accommodation",
    "static_caravan": "building_accommodation",
    "terrace": "building_accommodation",
    "commercial": "building_commercial",
    "industrial": "building_commercial",
    "kiosk": "building_commercial",
    "office": "building_commercial",
    "retail": "building_commercial",
    "supermarket": "building_commercial",
    "warehouse": "building_commercial",
    "cathedral": "building_religious",
    "chapel": "building_religious",
    "church": "building_religious",
    "mosque": "building_religious",
    "religious": "building_religious",
    "shrine": "building_religious",
    "synagogue": "building_religious",
    "temple": "building_religious",
    "bakehouse": "building_civic",
    "civic": "building_civic",
    "fire_station": "building_civic",
    "government": "building_civic",
    "hospital": "building_civic",
    "kindergarten": "building_civic",
    "public": "building_civic",
    "school": "building_civic",
    "toilets": "building_civic",
    "train_station": "building_civic",
    "transportation": "building_civic",
    "university": "building_civic",
    "barn": "building_agricultural",
    "conservatory": "building_agricultural",
    "cowshed": "building_agricultural",
    "farm_auxiliary": "building_agricultural",
    "greenhouse": "building_agricultural",
    "stable": "building_agricultural",
    "sty": "building_agricultural",
    "grandstand": "building_sports",
    "pavilion": "building_sports",
    "riding_hall": "building_sports",
    "sports_hall": "building_sports",
    "stadium": "building_sports",
    "hangar": "building_storage",
    "hut": "building_storage",
    "shed": "building_storage",
    "carport": "building_cars",
    "garage": "building_cars",
    "garages": "building_cars",
    "parking": "building_cars",
    "digester": "building_power",
    "service": "building_power",
    "transformer_tower": "building_power",
    "water_tower": "building_power",
    "bunker": "building_other",
    "bridge": "building_other",
    "construction": "building_other",
    "roof": "building_other",
    "ruins": "building_other",
    "yes": "building_other",
}

highway_tags = {
    "motorway": "highway_motorway",
    "motorway_link": "highway_motorway",
    "trunk": "highway_trunk",
    "trunk_link": "highway_trunk",
    "primary": "highway_primary",
    "primary_link": "highway_primary",
    "secondary": "highway_secondary",
    "secondary_link": "highway_secondary",
    "tertiary": "highway_tertiary",
    "tertiary_link": "highway_tertiary",
    "residential": "highway_residential",
    "living_street": "highway_residential",
    "service": "highway_service",
    "footway": "highway_footway",
    "pedestrian": "highway_footway",
    "steps": "highway_footway",
    "bridleway": "highway_footway",
    "cycleway": "highway_cycleway",
    "bus_stop": "highway_bus_stop",
    "crossing": "highway_crossing",
    "traffic_signals": "highway_traffic_signals",
    "traffic_calming": "highway_traffic_calming",
    "street_lamp": "highway_street_lamp",
}

cycleway_tags = {
    "lane": "highway_cycleway",
    "opposite": "highway_cycleway",
    "opposite_lane": "highway_cycleway",
    "track": "highway_cycleway",
    "opposite_track": "highway_cycleway",
    "share_busway": "highway_cycleway",
    "opposite_share_busway": "highway_cycleway",
    "shared_lane": "highway_cycleway",
    "shared": "highway_cycleway",
}

amenity_tags = {
    "bar": "amenity_sustenance",
    "bbq": "amenity_sustenance",
    "biergarten": "amenity_sustenance",
    "cafe": "amenity_sustenance",
    "drinking_water": "amenity_sustenance",
    "fast_food": "amenity_sustenance",
    "food_court": "amenity_sustenance",
    "ice_cream": "amenity_sustenance",
    "pub": "amenity_sustenance",
    "restaurant": "amenity_sustenance",
    "college": "amenity_education",
    "driving_school": "amenity_education",
    "kindergarten": "amenity_education",
    "language_school": "amenity_education",
    "library": "amenity_education",
    "toy_library": "amenity_education",
    "music_school": "amenity_education",
    "school": "amenity_education",
    "university": "amenity_education",
    "bicycle_parking": "amenity_transportation",
    "bicycle_repair_station": "amenity_transportation",
    "bicycle_rental": "amenity_transportation",
    "boat_rental": "amenity_transportation",
    "boat_sharing": "amenity_transportation",
    "bus_station": "amenity_transportation",
    "car_rental": "amenity_transportation",
    "car_sharing": "amenity_transportation",
    "car_wash": "amenity_transportation",
    "vehicle_inspection": "amenity_transportation",
    "charging_station": "amenity_transportation",
    "ferry_terminal": "amenity_transportation",
    "fuel": "amenity_transportation",
    "grit_bin": "amenity_transportation",
    "motorcycle_parking": "amenity_transportation",
    "parking": "amenity_transportation",
    "parking_entrance": "amenity_transportation",
    "parking_space": "amenity_transportation",
    "taxi": "amenity_transportation",
    "atm": "amenity_financial",
    "bank": "amenity_financial",
    "bureau_de_change": "amenity_financial",
    "baby_hatch": "amenity_healthcare",
    "clinic": "amenity_healthcare",
    "dentist": "amenity_healthcare",
    "doctors": "amenity_healthcare",
    "hospital": "amenity_healthcare",
    "nursing_home": "amenity_healthcare",
    "pharmacy": "amenity_healthcare",
    "social_facility": "amenity_healthcare",
    "veterinary": "amenity_healthcare",
    "arts_center": "amenity_entertainment",
    "brothel": "amenity_entertainment",
    "casino": "amenity_entertainment",
    "cinema": "amenity_entertainment",
    "community_centre": "amenity_entertainment",
    "fountain": "amenity_entertainment",
    "gambling": "amenity_entertainment",
    "nightclub": "amenity_entertainment",
    "planetarium": "amenity_entertainment",
    "public_bookcase": "amenity_entertainment",
    "social_centre": "amenity_entertainment",
    "stripclub": "amenity_entertainment",
    "studio": "amenity_entertainment",
    "swingerclub": "amenity_entertainment",
    "theatre": "amenity_entertainment",
    "animal_boarding": "amenity_other",
    "animal_shelter": "amenity_other",
    "baking_oven": "amenity_other",
    "bench": "amenity_other",
    "childcare": "amenity_other",
    "clock": "amenity_other",
    "conference_centre": "amenity_other",
    "courthouse": "amenity_other",
    "crematorium": "amenity_other",
    "dive_centre": "amenity_other",
    "embassy": "amenity_other",
    "fire_station": "amenity_other",
    "give_box": "amenity_other",
    "grave_yard": "amenity_other",
    "gym": "amenity_other",
    "hunting_stand": "amenity_other",
    "internet_cafe": "amenity_other",
    "kitchen": "amenity_other",
    "kneipp_water_cure": "amenity_other",
    "marketplace": "amenity_other",
    "monastery": "amenity_other",
    "photo_booth": "amenity_other",
    "place_of_worship": "amenity_other",
    "police": "amenity_other",
    "post_box": "amenity_other",
    "post_depot": "amenity_other",
    "post_office": "amenity_other",
    "prison": "amenity_other",
    "public_bath": "amenity_other",
    "public_building": "amenity_other",
    "ranger_station": "amenity_other",
    "recycling": "amenity_other",
    "sanitary_dump_station": "amenity_other",
    "sauna": "amenity_other",
    "shelter": "amenity_other",
    "shower": "amenity_other",
    "telephone": "amenity_other",
    "toilets": "amenity_other",
    "townhall": "amenity_other",
    "vending_machine": "amenity_other",
    "waste_basket": "amenity_other",
    "waste_disposal": "amenity_other",
    "waste_transfer_station": "amenity_other",
    "watering_place": "amenity_other",
    "water_point": "amenity_other",
}

railway_tags = {
    "subway": "railway_subway",
    "rail": "railway_rail",
    "light_rail": "railway_light_rail",
    "tram": "railway_tram",
    "mono_rail": "railway_other",
    "funicular": "railway_other",
    "abandoned": "railway_abandoned",
    "disused": "railway_abandoned",
    "station": "railway_station",
    "tram_stop": "railway_tram_stop",
    "subway_entrance": "public_transport_station",
    "platform": "railway_platform",
}

public_transport_tags = {
    "station": "public_transport_station",
    "platform": "railway_platform",
}

shop_tags = {
    "alcohol": "shop_food",
    "bakery": "shop_food",
    "beverages": "shop_food",
    "brewing_supplies": "shop_food",
    "butcher": "shop_food",
    "cheese": "shop_food",
    "chocolate": "shop_food",
    "coffee": "shop_food",
    "confectionery": "shop_food",
    "convenience": "shop_food",
    "deli": "shop_food",
    "dairy": "shop_food",
    "farm": "shop_food",
    "frozen_food": "shop_food",
    "greengrocer": "shop_food",
    "health_food": "shop_food",
    "ice_cream": "shop_food",
    "organic": "shop_food",
    "pasta": "shop_food",
    "pastry": "shop_food",
    "seafood": "shop_food",
    "spices": "shop_food",
    "tea": "shop_food",
    "wine": "shop_food",
    "water": "shop_food",
    "department_store": "shop_general_store",
    "general": "shop_general_store",
    "kiosk": "shop_general_store",
    "mall": "shop_general_store",
    "supermarket": "shop_general_store",
    "wholesale": "shop_general_store",
    "baby_goods": "shop_clothing",
    "bag": "shop_clothing",
    "boutique": "shop_clothing",
    "clothes": "shop_clothing",
    "fabric": "shop_clothing",
    "fashion": "shop_clothing",
    "fashion_accessories": "shop_clothing",
    "jewelry": "shop_clothing",
    "leather": "shop_clothing",
    "sewing": "shop_clothing",
    "shoes": "shop_clothing",
    "tailor": "shop_clothing",
    "watches": "shop_clothing",
    "wool": "shop_clothing",
    "charity": "shop_discount_store",
    "second_hand": "shop_discount_store",
    "variety_store": "shop_discount_store",
    "beauty": "shop_health_beauty",
    "chemist": "shop_health_beauty",
    "cosmetics": "shop_health_beauty",
    "drugstore": "shop_health_beauty",
    "erotic": "shop_health_beauty",
    "hairdresser": "shop_health_beauty",
    "hairdresser_supply": "shop_health_beauty",
    "hearing_aids": "shop_health_beauty",
    "herbalist": "shop_health_beauty",
    "massage": "shop_health_beauty",
    "medical_supply": "shop_health_beauty",
    "nutrition_supplements": "shop_health_beauty",
    "optician": "shop_health_beauty",
    "perfumery": "shop_health_beauty",
    "tattoo": "shop_health_beauty",
    "agrarian": "shop_diy_store",
    "appliance": "shop_diy_store",
    "bathroom_furnishing": "shop_diy_store",
    "doityourself": "shop_diy_store",
    "electrical": "shop_diy_store",
    "energy": "shop_diy_store",
    "fireplace": "shop_diy_store",
    "florist": "shop_diy_store",
    "garden_centre": "shop_diy_store",
    "garden_furniture": "shop_diy_store",
    "gas": "shop_diy_store",
    "glaziery": "shop_diy_store",
    "hardware": "shop_diy_store",
    "houseware": "shop_diy_store",
    "locksmith": "shop_diy_store",
    "paint": "shop_diy_store",
    "security": "shop_diy_store",
    "trade": "shop_diy_store",
    "windows": "shop_diy_store",
    "antiques": "shop_furniture",
    "bed": "shop_furniture",
    "candles": "shop_furniture",
    "carpet": "shop_furniture",
    "curtain": "shop_furniture",
    "doors": "shop_furniture",
    "flooring": "shop_furniture",
    "furniture": "shop_furniture",
    "interior_decoration": "shop_furniture",
    "kitchen": "shop_furniture",
    "lamps": "shop_furniture",
    "lighting": "shop_furniture",
    "tiles": "shop_furniture",
    "window_blind": "shop_furniture",
    "computer": "shop_electronics",
    "robot": "shop_electronics",
    "electronics": "shop_electronics",
    "hifi": "shop_electronics",
    "mobile_phone": "shop_electronics",
    "radiotechnics": "shop_electronics",
    "vacuum_cleaner": "shop_electronics",
    "atv": "shop_outdoors",
    "bicycle": "shop_outdoors",
    "boat": "shop_outdoors",
    "car": "shop_outdoors",
    "car_repair": "shop_outdoors",
    "car_parts": "shop_outdoors",
    "caravan": "shop_outdoors",
    "fuel": "shop_outdoors",
    "fishing": "shop_outdoors",
    "free_fishing": "shop_outdoors",
    "golf": "shop_outdoors",
    "hunting": "shop_outdoors",
    "jetski": "shop_outdoors",
    "military_surplus": "shop_outdoors",
    "motorcycle": "shop_outdoors",
    "outdoor": "shop_outdoors",
    "scuba_diving": "shop_outdoors",
    "ski": "shop_outdoors",
    "snowmobile": "shop_outdoors",
    "sports": "shop_outdoors",
    "swimming_pool": "shop_outdoors",
    "trailer": "shop_outdoors",
    "tyres": "shop_outdoors",
    "art": "shop_hobbies",
    "collector": "shop_hobbies",
    "craft": "shop_hobbies",
    "frame": "shop_hobbies",
    "games": "shop_hobbies",
    "model": "shop_hobbies",
    "music": "shop_hobbies",
    "musical_instrument": "shop_hobbies",
    "photo": "shop_hobbies",
    "camera": "shop_hobbies",
    "trophy": "shop_hobbies",
    "video": "shop_hobbies",
    "video_games": "shop_hobbies",
    "anime": "shop_stationery",
    "books": "shop_stationery",
    "gift": "shop_stationery",
    "lottery": "shop_stationery",
    "newsagent": "shop_stationery",
    "stationery": "shop_stationery",
    "ticket": "shop_stationery",
    "bookmaker": "shop_other",
    "cannabis": "shop_other",
    "copyshop": "shop_other",
    "dry_cleaning": "shop_other",
    "e-cigarette": "shop_other",
    "funeral_directors": "shop_other",
    "laundry": "shop_other",
    "money_lender": "shop_other",
    "party": "shop_other",
    "pawnbroker": "shop_other",
    "pet": "shop_other",
    "pet_grooming": "shop_other",
    "pest_control": "shop_other",
    "pyrotechnics": "shop_other",
    "religion": "shop_other",
    "storage_rental": "shop_other",
    "tobacco": "shop_other",
    "toys": "shop_other",
    "travel_agency": "shop_other",
    "vacant": "shop_other",
    "weapons": "shop_other",
    "outpost": "shop_other",
}

landuse_tags = {
    "commercial": "landuse_commercial",
    "construction": "landuse_construction",
    "brownfield": "landuse_construction",
    "greenfield": "landuse_construction",
    "depot": "landuse_industrial",
    "industrial": "landuse_industrial",
    "port": "landuse_industrial",
    "quarry": "landuse_industrial",
    "residential": "landuse_residential",
    "recreation_ground": "landuse_residential",
    "retail": "landuse_retail",
    "allotments": "landuse_agricultural",
    "farmland": "landuse_agricultural",
    "farmyard": "landuse_agricultural",
    "forest": "landuse_agricultural",
    "grass": "landuse_agricultural",
    "greenhouse_horticulture": "landuse_agricultural",
    "meadow": "landuse_agricultural",
    "orchard": "landuse_agricultural",
    "plant_nursery": "landuse_agricultural",
    "vineyard": "landuse_agricultural",
    "basin": "landuse_other",
    "cemetery": "landuse_other",
    "garages": "landuse_other",
    "landfill": "landuse_other",
    "railway": "landuse_other",
    "military": "landuse_other",
    "religious": "landuse_other",
    "reservoir": "landuse_other",
    "salt_pond": "landuse_other",
    "village_green": "landuse_other",
}
